/*
 * $Id: Bus.java,v 1.1 2009/04/01 13:57:09 sirocic Exp $
 *
 * Created on 05.06.2006 07:47:47 
 * by Dirk Frsterling <r@zorbla.de>
 */
package flexray.cluster;

import flexray.configuration.ChannelName;

/**
 * @author Dirk Frsterling <r@zorbla.de>
 *
 */
public class Bus extends Connector {

    public Bus(Cluster pCluster, ChannelName pChannel, int pId) {
        super(pCluster,pChannel,pId);
    }

        
    /**
     * @param c
     * @see flexray.cluster.Connector#connect(flexray.cluster.Connector)
     */
    @Override
    public void connect(Connector c) {
        if( c instanceof Bus ) {
            throw new IllegalArgumentException("bus-bus connection error");
        }
        connectors.add(c);
    }
    
    /**
     * 
     * @param c
     * @see flexray.cluster.Connector#disconnect(flexray.cluster.Connector)
     */
    @Override
    public void disconnect(Connector c) {
        connectors.remove(c);
    }

}
