/*
 * $Id: NodeComponentListener.java,v 1.1 2009/04/01 13:57:11 sirocic Exp $
 *
 * Created on 28.04.2006 07:39:42
 * by Dirk Frsterling <r@zorbla.de>
 */
package flexray.gui.controller;

import java.awt.Component;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import flexray.ModuleFR;
import flexray.gui.NodeComponent;
import flexray.scenario.FlexRayScenario;
import flexray.util.DebugUtil;

/**
 * @author Dirk Frsterling <r@zorbla.de>
 *
 */
public class NodeComponentListener implements MouseListener,
                                              KeyListener {


    public NodeComponentListener(FlexRayScenario scenario) {
        // nothing yet
    }

    /* (non-javadoc)
     * @param e
     * @see java.awt.event.MouseListener#mouseClicked(java.awt.event.MouseEvent)
     */
    public void mouseClicked(MouseEvent e) {
        Component component = e.getComponent();
        if( component instanceof NodeComponent ) {
            NodeComponent nodeComponent = (NodeComponent) component;
            switch( e.getButton() ) {
            case 1:
                nodeComponent.requestFocus();
                break;
            case 2:
                break;
            case 3:
                //configureNodeAction.actionPerformed(new ActionEvent( e, ActionEvent.ACTION_PERFORMED, "NCright" ));
                break;
            }
        }
    } // mouseClicked

    public void mouseEntered(MouseEvent e) { /**/ }
    public void mouseExited(MouseEvent e) { /**/ }
    public void mousePressed(MouseEvent e) { /**/ }
    public void mouseReleased(MouseEvent e) { /**/ }

    /*
     *  ------------------- KeyListener -----------------------------
     */

    public void keyPressed(KeyEvent e) { /**/ }
    public void keyReleased(KeyEvent e) { /**/ }

    /**
     *
     * @param e
     * @see java.awt.event.KeyListener#keyTyped(java.awt.event.KeyEvent)
     */
    public void keyTyped(KeyEvent e) {
        Component c = e.getComponent();
        if( c instanceof NodeComponent ) {
            NodeComponent nodeComponent = (NodeComponent) c;
            switch( e.getKeyChar() ) {
            case KeyEvent.VK_DELETE:
                DebugUtil.mark("You're nothing but a smear on the Sports page to me, you slimy, ugly, intestual parasite! Eat me! " );
                ((FlexRayScenario)ModuleFR.getModule().getScenario()).deleteNode(nodeComponent.getNode());
                break;
            default:
                // nothing
                break;
            }
        }
    } // keyTyped

}
