/*
 * $Id: AboutDialog.java,v 1.2 2009/04/12 11:48:48 sirocic Exp $
 *
 * Created on 14.07.2006 13:56:57
 * by Dirk Frsterling <r@zorbla.de>
 */
package flexray.gui.dialogs;

import java.awt.Dimension;
import java.awt.Rectangle;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.IOException;

import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JEditorPane;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextPane;

import flexray.ModuleFR;
import flexray.levi.gui.FrameFR;
import flexray.scenario.FlexRayScenario;

/**
 * @author Dirk Frsterling <r@zorbla.de>
 *
 */
public class AboutDialog extends JDialog
                      implements  ActionListener {

    /**
     * @param pScenario
     */
    public AboutDialog() {
        super((FrameFR)ModuleFR.getModule().getFrame());
        String base = "/resources/flexray/html/";
        String lang = ModuleFR.getModule().getLanguage();
        setModal(true);
        setResizable(false);
        JPanel dialogPanel = new JPanel();
        BoxLayout box = new BoxLayout(dialogPanel,BoxLayout.PAGE_AXIS);
        dialogPanel.setLayout(box);

        JEditorPane p = null;
        try {
            // FIXME:
            p = new JEditorPane(getClass().getResource(base + lang + "/about.html"));
        } catch (IOException ioe ) {
            //
        }
        p.setEditable(false);
        JScrollPane sp = new JScrollPane(p);
        dialogPanel.add(sp);
        JButton b = new JButton("OK");
        b.setAlignmentX(0.5f);
        dialogPanel.add(b);
        b.addActionListener(this);

        setContentPane(dialogPanel);
        setSize(400,400);
        Rectangle r = getOwner().getBounds();
        setLocation(r.x+(r.width/2)-200, r.y+(r.height/2)-200);
    }

    /**
     * @param e
     * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
     */
    public void actionPerformed(ActionEvent e) {
        dispose();
    }

}
