package learningVisualizations.editor;

import java.awt.Cursor;

import learningVisualizations.gui.LeviToolbar;


public interface LeviEditorInterface {

	 /*
	    * Methode:		getScenarioEditor
	    *
	    * Description:	Liefert den Editor (Panel) des eigentlichen Szenarios.
	    * Parameters:
	    *
	    * Date: 		 21.10.2006
	    * @author        sirocic
	    */
	   public LeviScenarioEditorInterface getScenarioEditor();
	   
	   /*
	    * Methode:		cleanMe
	    *
	    * Description:	Subert den Editor bevor ein neues Szenario geffnet wird. 
	    *
	    * Parameters:
	    *
	    * Date: 		 21.10.2006
	    * @author        sirocic
	    */
	   public void cleanMe() ;
	   
	   /*
	    * Methode:		updateLanguageColorFonts
	    *
	    * Description:	Ldt sprachabhngige Teile neu. In der Toolbar knnen z.B. sprachabhngige
	    * 				Buttons sein 
	    *
	    * Date: 		12.03.2007
	    * 
	    * @author sirocic
	    */
	   public void updateLanguageColorFonts();
	   
	   public void setCursor(Cursor cursor);
	   public void setToolbar(LeviToolbar cursor);
	   
}
