package learningVisualizations.visualizer;

import learningVisualizations.gui.LeviToolbar;

public interface LeviVisualizerInterface {

	 // Diese Methode wird im Thread vom Simulator (leviSimulator) aufgerufen, um die Simulations-
   // ergebnis zu visualisieren. Ob die nur ein repaint() des Visualizers ist oder mehr, hngt
   // von der jeweiligen Komponente ab und sollte dort implementierte werden.
   public void visualize() ;
	   
   public void cleanMe() ;
   public void repaintMe();
   public boolean isBusy();
   public LeviScenarioVisualizerInterface getScenarioVisualizer();
   public LeviToolbar getToolbar();
   public void setToolbar(LeviToolbar t);
	
   /*
    * Methode:		updateLanguageColorFonts
    *
    * Description:	Ldt sprachabhngige Teile neu. In der Toolbar knnen z.B. sprachabhngige
    * 				Buttons sein 
    *
    * Date: 		12.03.2007
    * 
    * @author sirocic
    */
   public void updateLanguageColorFonts();
   
}
