package flexray.clock;

/**
 * Interface for objects that are slaves to SimulatedClocks.
 * 
 * FIXME: This is a design flaw: It is not sufficient to implement this
 * interface to have a ClockSlave. :(( See ClockSlaveAdapter for how
 * it's done.<br>
 * Fact is, that without an object, without a parent and without
 * threading, this Interface has no real meaning. 
 * 
 * @see flexray.clock.ClockSlaveAdapter
 * @author Dirk Frsterling
 *
 */
public interface ClockSlave {

    public void setParent( Clock pParentClock );
    
    public boolean isReady();

    //public void adjust();

    public int getSlaveID();

    public String getSlaveName();

    //public long tickForParentTick( long parentTick );

    //public long lowestParentTickForTick( long tick );

    //public long highestParentTickForTick( long tick );

}
