/*
 * $Id: EditCommandType.java,v 1.1 2009/04/01 13:57:11 sirocic Exp $
 *
 * Created on 10.07.2006 07:32:12
 * by Dirk Frsterling <r@zorbla.de>
 */
package flexray.gui.controller;

/**
 * Types of edit actions. This is used for the interactive tutorial and may
 * be used for some kind of undo mechanism.
 *
 * @author Dirk Frsterling <r@zorbla.de>
 */
public enum EditCommandType {
    CREATE_CLUSTER,
    CREATE_NODE,
    DELETE_NODE,
    CREATE_NODEVIEW,
    CONFIGURE_NODE,
    TEMPORARY_EDIT,
    CONFIGURE_COMMCYCLE,
    CONFIGURE_SLOT,
    NODE_CHANNEL_SELECTED,
    SIM_STEP_FORWARD,
    CONNECT_NODE,
    DISCONNECT_NODE,
    MOVE_NODEVIEW,
    CREATE_CHANNELVIEW,
    CHANGE_NAME,
    SCENARIO_CLOSED
}

