/*
 * $Id: FRActionAbout.java,v 1.1 2009/04/01 13:57:11 sirocic Exp $
 *
 * Created on 14.07.2006 13:28:13
 * by Dirk Frsterling <r@zorbla.de>
 */
package flexray.levi.gui.actions;

import java.awt.event.ActionEvent;

import javax.swing.Icon;
import javax.swing.KeyStroke;

import learningVisualizations.LeviModule;
import learningVisualizations.gui.actions.LeviActionTutorial;

import flexray.ModuleFR;
import flexray.gui.dialogs.AboutDialog;
import flexray.util.DebugUtil;


/**
 * @author Dirk Frsterling <r@zorbla.de>
 *
 */
public class FRActionAbout extends LeviActionTutorial {

    /**
     *
     */
    public FRActionAbout() {
        super();
    }

    /**
     * @param learningModule
     * @param name
     */
    public FRActionAbout(LeviModule learningModule, String name) {
        super(learningModule, name);
    }

    /**
     * @param learningModule
     * @param name
     * @param icon
     * @param tip
     */
    public FRActionAbout(LeviModule learningModule, String name,
            Icon icon, String tip) {
        super(learningModule, name, icon, tip);
    }

    /**
     * @param learningModule
     * @param name
     * @param acc
     */
    public FRActionAbout(LeviModule learningModule, String name,
            KeyStroke acc) {
        super(learningModule, name, acc);
    }


    @Override
    public void actionPerformed(ActionEvent event) {
        AboutDialog d = new AboutDialog();
        d.setVisible(true);
    }
}
