/*
 * $Id: FRActionHelp.java,v 1.2 2009/04/28 04:48:55 sirocic Exp $
 *
 * Created on 14.07.2006 13:27:56
 * by Dirk Frsterling <r@zorbla.de>
 */
package flexray.levi.gui.actions;

import java.awt.event.ActionEvent;

import javax.swing.Icon;
import javax.swing.KeyStroke;

import learningVisualizations.LeviModule;
import learningVisualizations.gui.actions.LeviActionManual;

import flexray.ModuleFR;
import flexray.levi.help.FRHelp;
import flexray.util.DebugUtil;


/**
 * @author Dirk Frsterling <r@zorbla.de>
 *
 */
public class FRActionHelp extends LeviActionManual {

    /**
     *
     */
    public FRActionHelp() {
        super();
    }

    /**
     * @param learningModule
     * @param name
     */
    public FRActionHelp(LeviModule learningModule, String name) {
        super(learningModule, name);
    }

    /**
     * @param learningModule
     * @param name
     * @param icon
     * @param tip
     */
    public FRActionHelp(LeviModule learningModule, String name,
            Icon icon, String tip) {
        super(learningModule, name, icon, tip);
    }

    /**
     * @param learningModule
     * @param name
     * @param acc
     */
    public FRActionHelp(LeviModule learningModule, String name,
            KeyStroke acc) {
        super(learningModule, name, acc);
    }

    @Override
    public void actionPerformed(ActionEvent event) {
        ModuleFR c = (ModuleFR)getLearningModule();
        FRHelp a  = c.getHelp();
        if( c.isHelpVisible() ) {
                c.getHelp().showWelcome();
                // Menu-Item fr das Anzeigen der Hilfe anpassen ...
                getLearningModule().getFrame().changeItemText(
                getLearningModule().getFrame().getMenubar().getMenuView(),"viewmode.help.on","viewmode.help.off");
    			getLearningModule().getFrame().composeFrame();
        
            return;
        }
        c.setHelpVisible(true);
        DebugUtil.println("");
        if( a != null ) {
                c.getHelp().showWelcome();
                // Menu-Item fr das Anzeigen der Hilfe anpassen ...
                getLearningModule().getFrame().changeItemText(
                getLearningModule().getFrame().getMenubar().getMenuView(),"viewmode.help.on","viewmode.help.off");
    			getLearningModule().getFrame().composeFrame();
        
        }
    }

}
