/* FRActionWelcome.java
 * 
 * Created on 05.06.2007
 * @author sirocic
 */
package flexray.levi.gui.actions;

import java.awt.event.ActionEvent;

import javax.swing.Icon;
import javax.swing.KeyStroke;

import learningVisualizations.LeviModule;
import learningVisualizations.gui.actions.LeviActionManual;

import flexray.ModuleFR;
import flexray.levi.help.FRHelp;
import flexray.util.DebugUtil;


public class FRActionWelcome extends LeviActionManual {

    /**
     *
     */
    public FRActionWelcome() {
        super();
    }

    /**
     * @param learningModule
     * @param name
     */
    public FRActionWelcome(LeviModule learningModule, String name) {
        super(learningModule, name);
    }

    /**
     * @param learningModule
     * @param name
     * @param icon
     * @param tip
     */
    public FRActionWelcome(LeviModule learningModule, String name,
            Icon icon, String tip) {
        super(learningModule, name, icon, tip);
    }

    /**
     * @param learningModule
     * @param name
     * @param acc
     */
    public FRActionWelcome(LeviModule learningModule, String name,
            KeyStroke acc) {
        super(learningModule, name, acc);
    }

    @Override
    public void actionPerformed(ActionEvent event) {
        ModuleFR c = (ModuleFR)getLearningModule();
        FRHelp a  = c.getHelp();
        if( c.isHelpVisible() ) {
            	c.getHelp().setTutorialMode( false );
                c.getHelp().setNewContent("welcome.html");
                // Menu-Item fr das Anzeigen der Hilfe anpassen ...
                getLearningModule().getFrame().changeItemText(
                getLearningModule().getFrame().getMenubar().getMenuView(),"viewmode.help.on","viewmode.help.off");
    			getLearningModule().getFrame().composeFrame();
        
            return;
        }
        c.setHelpVisible(true);
        DebugUtil.println("");
        if( a != null ) {
                c.getHelp().setTutorialMode( false );
                c.getHelp().setNewContent("welcome.html");
                
    			// Menu-Item fr das Anzeigen der Hilfe anpassen ...
                getLearningModule().getFrame().changeItemText(
                getLearningModule().getFrame().getMenubar().getMenuView(),"viewmode.help.on","viewmode.help.off");
    			getLearningModule().getFrame().composeFrame();
        
        }
    }

}

