/* leviRecentSwatchPanel.java
 * 
 * Created on 20.03.2007
 * @author sirocic
 */
package learningVisualizations.gui;

import java.awt.Color;
import java.awt.Dimension;

import javax.swing.UIManager;

import learningVisualizations.LeviModule;


class LeviRecentSwatchPanel extends LeviSwatchPanel {
	
	public LeviRecentSwatchPanel(LeviModule module) {
        super(module);
    }
	
    protected void initValues() {
        swatchSize = UIManager.getDimension("ColorChooser.swatchesRecentSwatchSize");
    numSwatches = new Dimension( 5, 7 );
        gap = new Dimension(1, 1);
    }


    protected void initColors() {
        Color defaultRecentColor = UIManager.getColor("ColorChooser.swatchesDefaultRecentColor");
        int numColors = numSwatches.width * numSwatches.height;
    
    colors = new Color[numColors];
    for (int i = 0; i < numColors ; i++) {
        colors[i] = defaultRecentColor;
    }
    }

    public void setMostRecentColor(Color c) {

    System.arraycopy( colors, 0, colors, 1, colors.length-1);
        colors[0] = c;
    repaint();
    }

}