/* leviAbstractAction.java
 * 
 * Created on 25.08.2005
 * Autor: Alexandra Nolte
 * 
 */
package learningVisualizations.gui.actions;

import javax.swing.*;

import learningVisualizations.LeviModule;
import learningVisualizations.gui.LeviButton;




/**
 * @author Alexandra
 * 
 * TODO To change the template for this generated type comment go to Window -
 * Preferences - Java - Code Style - Code Templates
 */
public abstract class LeviAbstractAction extends AbstractAction implements Action {

    protected static LeviAbstractAction activeAction = null;
    protected static LeviButton activeButton = null;

	private LeviModule learningModule;
	private String keyLabel;
	
	// MUTATOR METHODES ...
    public void setLearningModule(LeviModule learningModule) {
        this.learningModule = learningModule;
    }
    
    /**
     * Setzt den Button, der gerade gedrckt wurde, auf unklickbar
     * @param action
     */
    protected void setActiveAction(LeviAbstractAction action) {
        if (activeAction != null) {
            activeAction.setEnabled(true);
            if (activeButton != null) {
            	activeButton.setEnabled(true);
            	activeButton=null;
            }
        }
        activeAction = action;
        activeAction.setEnabled(false);
    }
    protected void setActiveAction(LeviAbstractAction action, LeviButton button) {
        if (activeAction != null) {
            activeAction.setEnabled(true);
            if (activeButton != null) 
            	activeButton.setEnabled(true);
        }
        activeAction = action;
        activeAction.setEnabled(false);
        activeButton = button;
        if (activeButton != null) activeButton.setEnabled(false);
    }
    
    /**
     * Setzt den aktuell unklickbaren Button wieder auf klickbar
     * @param action
     */
    public static void resetActiveAction() {
        if (activeAction != null) {
            activeAction.setEnabled(true);
            if (activeButton != null) {
            	activeButton.setEnabled(true);
            }
        }
    }
    
    public void setKeyLabel(String keyLabel) {
        this.keyLabel = keyLabel;
    }

    // 	ACCESSOR METHODES ...
    protected LeviModule getLearningModule() {
        return learningModule;
    }
    public String getKeyLabel() {
        return keyLabel;
    }
  
}
